org.keycloak.representations.oidc

## Class OIDCClientRepresentation

- java.lang.Object
- - org.keycloak.representations.oidc.OIDCClientRepresentation

-     public class OIDCClientRepresentation
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCClientRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `Integer` | `getClientIdIssuedAt()`
    `String` | `getClientName()`
    `String` | `getClientSecret()`
    `Integer` | `getClientSecretExpiresAt()`
    `String` | `getClientUri()`
    `String` | `getContacts()`
    `List<String>` | `getGrantTypes()`
    `String` | `getJwks()`
    `String` | `getJwksUri()`
    `String` | `getLogoUri()`
    `String` | `getPolicyUri()`
    `List<String>` | `getRedirectUris()`
    `String` | `getRegistrationAccessToken()`
    `String` | `getRegistrationClientUri()`
    `List<String>` | `getResponseTypes()`
    `String` | `getScope()`
    `String` | `getSoftwareId()`
    `String` | `getSoftwareVersion()`
    `String` | `getTokenEndpointAuthMethod()`
    `String` | `getTosUri()`
    `void` | `setClientId(String clientId)`
    `void` | `setClientIdIssuedAt(Integer clientIdIssuedAt)`
    `void` | `setClientName(String client_name)`
    `void` | `setClientSecret(String clientSecret)`
    `void` | `setClientSecretExpiresAt(Integer client_secret_expires_at)`
    `void` | `setClientUri(String client_uri)`
    `void` | `setContacts(String contacts)`
    `void` | `setGrantTypes(List<String> grantTypes)`
    `void` | `setJwks(String jwks)`
    `void` | `setJwksUri(String jwks_uri)`
    `void` | `setLogoUri(String logo_uri)`
    `void` | `setPolicyUri(String policy_uri)`
    `void` | `setRedirectUris(List<String> redirectUris)`
    `void` | `setRegistrationAccessToken(String registrationAccessToken)`
    `void` | `setRegistrationClientUri(String registrationClientUri)`
    `void` | `setResponseTypes(List<String> responseTypes)`
    `void` | `setScope(String scope)`
    `void` | `setSoftwareId(String softwareId)`
    `void` | `setSoftwareVersion(String softwareVersion)`
    `void` | `setTokenEndpointAuthMethod(String token_endpoint_auth_method)`
    `void` | `setTosUri(String tos_uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OIDCClientRepresentation

          public OIDCClientRepresentation()

  - ### Method Detail

    - #### getRedirectUris

          public List<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(List<String> redirectUris)

    - #### getTokenEndpointAuthMethod

          public String getTokenEndpointAuthMethod()

    - #### setTokenEndpointAuthMethod

          public void setTokenEndpointAuthMethod(String token_endpoint_auth_method)

    - #### getGrantTypes

          public List<String> getGrantTypes()

    - #### setGrantTypes

          public void setGrantTypes(List<String> grantTypes)

    - #### getResponseTypes

          public List<String> getResponseTypes()

    - #### setResponseTypes

          public void setResponseTypes(List<String> responseTypes)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientSecret

          public String getClientSecret()

    - #### setClientSecret

          public void setClientSecret(String clientSecret)

    - #### getClientName

          public String getClientName()

    - #### setClientName

          public void setClientName(String client_name)

    - #### getClientUri

          public String getClientUri()

    - #### setClientUri

          public void setClientUri(String client_uri)

    - #### getLogoUri

          public String getLogoUri()

    - #### setLogoUri

          public void setLogoUri(String logo_uri)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getContacts

          public String getContacts()

    - #### setContacts

          public void setContacts(String contacts)

    - #### getTosUri

          public String getTosUri()

    - #### setTosUri

          public void setTosUri(String tos_uri)

    - #### getPolicyUri

          public String getPolicyUri()

    - #### setPolicyUri

          public void setPolicyUri(String policy_uri)

    - #### getJwksUri

          public String getJwksUri()

    - #### setJwksUri

          public void setJwksUri(String jwks_uri)

    - #### getJwks

          public String getJwks()

    - #### setJwks

          public void setJwks(String jwks)

    - #### getSoftwareId

          public String getSoftwareId()

    - #### setSoftwareId

          public void setSoftwareId(String softwareId)

    - #### getSoftwareVersion

          public String getSoftwareVersion()

    - #### setSoftwareVersion

          public void setSoftwareVersion(String softwareVersion)

    - #### getClientIdIssuedAt

          public Integer getClientIdIssuedAt()

    - #### setClientIdIssuedAt

          public void setClientIdIssuedAt(Integer clientIdIssuedAt)

    - #### getClientSecretExpiresAt

          public Integer getClientSecretExpiresAt()

    - #### setClientSecretExpiresAt

          public void setClientSecretExpiresAt(Integer client_secret_expires_at)

    - #### getRegistrationClientUri

          public String getRegistrationClientUri()

    - #### setRegistrationClientUri

          public void setRegistrationClientUri(String registrationClientUri)

    - #### getRegistrationAccessToken

          public String getRegistrationAccessToken()

    - #### setRegistrationAccessToken

          public void setRegistrationAccessToken(String registrationAccessToken)

Copyright © 2016 JBoss by Red Hat. All rights reserved.